import { PaginationResponse } from 'src/core/response/domain/ok-response.interface';

export abstract class BaseReadOrchestrator<Entity> {
  abstract index(params): Promise<PaginationResponse<Entity>>;
  abstract detail(dataId: string): Promise<Entity>;
}
